var loadingView = (function () {
    function loadingView() {
        this.sOS = conchConfig.getOS();
        if (this.sOS == "Conch-ios") {
            this.bridge = PlatformClass.createClass("JSBridge");
        }
        else if (this.sOS == "Conch-android") {
            this.bridge = PlatformClass.createClass("demo.JSBridge");
        }
    }
    Object.defineProperty(loadingView.prototype, "loadingAutoClose", {
        get: function () {
            return this._loadingAutoClose;
        },
        set: function (value) {
            this._loadingAutoClose = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(loadingView.prototype, "showTextInfo", {
        get: function () {
            return this._showTextInfo;
        },
        set: function (value) {
            this._showTextInfo = value;
            if (this.bridge) {
                if (this.sOS == "Conch-ios") {
                    this.bridge.call("showTextInfo:", value);
                }
                else if (this.sOS == "Conch-android") {
                    this.bridge.call("showTextInfo", value);
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    loadingView.prototype.bgColor = function (value) {
        if (this.bridge) {
            if (this.sOS == "Conch-ios") {
                this.bridge.call("bgColor:", value);
            }
            else if (this.sOS == "Conch-android") {
                this.bridge.call("bgColor", value);
            }
        }
    };
    loadingView.prototype.setFontColor = function (value) {
        if (this.bridge) {
            if (this.sOS == "Conch-ios") {
                this.bridge.call("setFontColor:", value);
            }
            else if (this.sOS == "Conch-android") {
                this.bridge.call("setFontColor", value);
            }
        }
    };
    loadingView.prototype.setTips = function (value) {
        if (this.bridge) {
            if (this.sOS == "Conch-ios") {
                this.bridge.call("setTips:", value);
            }
            else if (this.sOS == "Conch-android") {
                this.bridge.call("setTips", value);
            }
        }
    };
    loadingView.prototype.loading = function (value) {
        if (this.bridge) {
            if (this.sOS == "Conch-ios") {
                this.bridge.call("loading:", value);
            }
            else if (this.sOS == "Conch-android") {
                this.bridge.call("loading", value);
            }
        }
    };
    loadingView.prototype.hideLoadingView = function () {
        this.bridge.call("hideSplash");
    };
    return loadingView;
}());

window.loadingView = new loadingView();
if(window.loadingView)
{
    window.loadingView.loadingAutoClose=false;//true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.bgColor("#000000");//设置背景颜色
    window.loadingView.setFontColor("#000000");//设置字体颜色
    window.loadingView.setTips([
        "□□□□□□□□□□□□□□□□□□□□(0%)",
        "□□□□□□□□□□□□□□□□□□□□(1%)",
        "□□□□□□□□□□□□□□□□□□□□(2%)",
        "□□□□□□□□□□□□□□□□□□□□(3%)",
        "□□□□□□□□□□□□□□□□□□□□(4%)",
        "■□□□□□□□□□□□□□□□□□□□(5%)",
        "■□□□□□□□□□□□□□□□□□□□(6%)",
        "■□□□□□□□□□□□□□□□□□□□(7%)",
        "■□□□□□□□□□□□□□□□□□□□(7%)",
        "■□□□□□□□□□□□□□□□□□□□(8%)",
        "■□□□□□□□□□□□□□□□□□□□(9%)",
        "■■□□□□□□□□□□□□□□□□□□(10%)",
        "■■□□□□□□□□□□□□□□□□□□(11%)",
        "■■□□□□□□□□□□□□□□□□□□(12%)",
        "■■□□□□□□□□□□□□□□□□□□(12%)",
        "■■□□□□□□□□□□□□□□□□□□(13%)",
        "■■□□□□□□□□□□□□□□□□□□(13%)",
        "■■□□□□□□□□□□□□□□□□□□(14%)",
        "■■■□□□□□□□□□□□□□□□□□(15%)",
        "■■■□□□□□□□□□□□□□□□□□(16%)",
        "■■■□□□□□□□□□□□□□□□□□(17%)",
        "■■■□□□□□□□□□□□□□□□□□(18%)",
        "■■■□□□□□□□□□□□□□□□□□(18%)",
        "■■■□□□□□□□□□□□□□□□□□(19%)",
        "■■■□□□□□□□□□□□□□□□□□(19%)",
        "■■■■□□□□□□□□□□□□□□□□(20%)",
        "■■■■□□□□□□□□□□□□□□□□(20%)",
        "■■■■□□□□□□□□□□□□□□□□(21%)",
        "■■■■□□□□□□□□□□□□□□□□(22%)",
        "■■■■□□□□□□□□□□□□□□□□(22%)",
        "■■■■□□□□□□□□□□□□□□□□(23%)",
        "■■■■□□□□□□□□□□□□□□□□(24%)",
        "■■■■□□□□□□□□□□□□□□□□(24%)",
        "■■■■■□□□□□□□□□□□□□□□(25%)",
        "■■■■■□□□□□□□□□□□□□□□(26%)",
        "■■■■■□□□□□□□□□□□□□□□(26%)",
        "■■■■■□□□□□□□□□□□□□□□(27%)",
        "■■■■■□□□□□□□□□□□□□□□(27%)",
        "■■■■■□□□□□□□□□□□□□□□(28%)",
        "■■■■■□□□□□□□□□□□□□□□(28%)",
        "■■■■■□□□□□□□□□□□□□□□(28%)",
        "■■■■■□□□□□□□□□□□□□□□(29%)",
        "■■■■■■□□□□□□□□□□□□□□(30%)",
        "■■■■■■□□□□□□□□□□□□□□(30%)",
        "■■■■■■□□□□□□□□□□□□□□(30%)",
        "■■■■■■□□□□□□□□□□□□□□(31%)",
        "■■■■■■□□□□□□□□□□□□□□(32%)",
        "■■■■■■□□□□□□□□□□□□□□(32%)",
        "■■■■■■□□□□□□□□□□□□□□(32%)",
        "■■■■■■□□□□□□□□□□□□□□(33%)",
        "■■■■■■□□□□□□□□□□□□□□(33%)",
        "■■■■■■□□□□□□□□□□□□□□(34%)",
        "■■■■■■□□□□□□□□□□□□□□(34%)",
        "■■■■■■■□□□□□□□□□□□□□(35%)",
        "■■■■■■■□□□□□□□□□□□□□(35%)",
        "■■■■■■■□□□□□□□□□□□□□(35%)",
        "■■■■■■■□□□□□□□□□□□□□(35%)",
        "■■■■■■■□□□□□□□□□□□□□(36%)",
        "■■■■■■■□□□□□□□□□□□□□(36%)",
        "■■■■■■■□□□□□□□□□□□□□(36%)",
        "■■■■■■■□□□□□□□□□□□□□(37%)",
        "■■■■■■■□□□□□□□□□□□□□(38%)",
        "■■■■■■■□□□□□□□□□□□□□(38%)",
        "■■■■■■■□□□□□□□□□□□□□(39%)",
        "■■■■■■■□□□□□□□□□□□□□(39%)",
        "■■■■■■■□□□□□□□□□□□□□(39%)",
        "■■■■■■■■□□□□□□□□□□□□(40%)",
        "■■■■■■■■□□□□□□□□□□□□(40%)",
        "■■■■■■■■□□□□□□□□□□□□(40%)",
        "■■■■■■■■□□□□□□□□□□□□(41%)",
        "■■■■■■■■□□□□□□□□□□□□(41%)",
        "■■■■■■■■□□□□□□□□□□□□(41%)",
        "■■■■■■■■□□□□□□□□□□□□(42%)",
        "■■■■■■■■□□□□□□□□□□□□(42%)",
        "■■■■■■■■□□□□□□□□□□□□(43%)",
        "■■■■■■■■□□□□□□□□□□□□(43%)",
        "■■■■■■■■□□□□□□□□□□□□(43%)",
        "■■■■■■■■□□□□□□□□□□□□(44%)",
        "■■■■■■■■□□□□□□□□□□□□(44%)",
        "■■■■■■■■□□□□□□□□□□□□(44%)",
        "■■■■■■■■□□□□□□□□□□□□(44%)",
        "■■■■■■■■■□□□□□□□□□□□(45%)",
        "■■■■■■■■■□□□□□□□□□□□(45%)",
        "■■■■■■■■■□□□□□□□□□□□(45%)",
        "■■■■■■■■■□□□□□□□□□□□(46%)",
        "■■■■■■■■■□□□□□□□□□□□(46%)",
        "■■■■■■■■■□□□□□□□□□□□(46%)",
        "■■■■■■■■■□□□□□□□□□□□(46%)",
        "■■■■■■■■■□□□□□□□□□□□(47%)",
        "■■■■■■■■■□□□□□□□□□□□(47%)",
        "■■■■■■■■■□□□□□□□□□□□(48%)",
        "■■■■■■■■■□□□□□□□□□□□(48%)",
        "■■■■■■■■■□□□□□□□□□□□(48%)",
        "■■■■■■■■■□□□□□□□□□□□(49%)",
        "■■■■■■■■■□□□□□□□□□□□(49%)",
        "■■■■■■■■■□□□□□□□□□□□(49%)",
        "■■■■■■■■■□□□□□□□□□□□(49%)",
        "■■■■■■■■■■□□□□□□□□□□(50%)",
        "■■■■■■■■■■□□□□□□□□□□(50%)",
        "■■■■■■■■■■□□□□□□□□□□(50%)",
        "■■■■■■■■■■□□□□□□□□□□(50%)",
        "■■■■■■■■■■□□□□□□□□□□(51%)",
        "■■■■■■■■■■□□□□□□□□□□(51%)",
        "■■■■■■■■■■□□□□□□□□□□(51%)",
        "■■■■■■■■■■□□□□□□□□□□(51%)",
        "■■■■■■■■■■□□□□□□□□□□(51%)",
        "■■■■■■■■■■□□□□□□□□□□(52%)",
        "■■■■■■■■■■□□□□□□□□□□(52%)",
        "■■■■■■■■■■□□□□□□□□□□(53%)",
        "■■■■■■■■■■□□□□□□□□□□(53%)",
        "■■■■■■■■■■□□□□□□□□□□(53%)",
        "■■■■■■■■■■□□□□□□□□□□(54%)",
        "■■■■■■■■■■□□□□□□□□□□(54%)",
        "■■■■■■■■■■■□□□□□□□□□(55%)",
        "■■■■■■■■■■■□□□□□□□□□(55%)",
        "■■■■■■■■■■■□□□□□□□□□(55%)",
        "■■■■■■■■■■■□□□□□□□□□(55%)",
        "■■■■■■■■■■■□□□□□□□□□(55%)",
        "■■■■■■■■■■■□□□□□□□□□(55%)",
        "■■■■■■■■■■■□□□□□□□□□(56%)",
        "■■■■■■■■■■■□□□□□□□□□(56%)",
        "■■■■■■■■■■■□□□□□□□□□(57%)",
        "■■■■■■■■■■■□□□□□□□□□(57%)",
        "■■■■■■■■■■■□□□□□□□□□(57%)",
        "■■■■■■■■■■■□□□□□□□□□(57%)",
        "■■■■■■■■■■■□□□□□□□□□(58%)",
        "■■■■■■■■■■■□□□□□□□□□(58%)",
        "■■■■■■■■■■■□□□□□□□□□(58%)",
        "■■■■■■■■■■■□□□□□□□□□(59%)",
        "■■■■■■■■■■■□□□□□□□□□(59%)",
        "■■■■■■■■■■■□□□□□□□□□(59%)",
        "■■■■■■■■■■■■□□□□□□□□(60%)",
        "■■■■■■■■■■■■□□□□□□□□(60%)",
        "■■■■■■■■■■■■□□□□□□□□(60%)",
        "■■■■■■■■■■■■□□□□□□□□(60%)",
        "■■■■■■■■■■■■□□□□□□□□(60%)",
        "■■■■■■■■■■■■□□□□□□□□(60%)",
        "■■■■■■■■■■■■□□□□□□□□(61%)",
        "■■■■■■■■■■■■□□□□□□□□(61%)",
        "■■■■■■■■■■■■□□□□□□□□(61%)",
        "■■■■■■■■■■■■□□□□□□□□(61%)",
        "■■■■■■■■■■■■□□□□□□□□(62%)",
        "■■■■■■■■■■■■□□□□□□□□(62%)",
        "■■■■■■■■■■■■□□□□□□□□(63%)",
        "■■■■■■■■■■■■□□□□□□□□(63%)",
        "■■■■■■■■■■■■□□□□□□□□(63%)",
        "■■■■■■■■■■■■□□□□□□□□(64%)",
        "■■■■■■■■■■■■□□□□□□□□(64%)",
        "■■■■■■■■■■■■□□□□□□□□(64%)",
        "■■■■■■■■■■■■□□□□□□□□(64%)",
        "■■■■■■■■■■■■■□□□□□□□(65%)",
        "■■■■■■■■■■■■■□□□□□□□(65%)",
        "■■■■■■■■■■■■■□□□□□□□(65%)",
        "■■■■■■■■■■■■■□□□□□□□(66%)",
        "■■■■■■■■■■■■■□□□□□□□(67%)",
        "■■■■■■■■■■■■■□□□□□□□(68%)",
        "■■■■■■■■■■■■■□□□□□□□(68%)",
        "■■■■■■■■■■■■■□□□□□□□(69%)",
        "■■■■■■■■■■■■■□□□□□□□(69%)",
        "■■■■■■■■■■■■■□□□□□□□(69%)",
        "■■■■■■■■■■■■■■□□□□□□(70%)",
        "■■■■■■■■■■■■■■□□□□□□(70%)",
        "■■■■■■■■■■■■■■□□□□□□(70%)",
        "■■■■■■■■■■■■■■□□□□□□(71%)",
        "■■■■■■■■■■■■■■□□□□□□(71%)",
        "■■■■■■■■■■■■■■□□□□□□(72%)",
        "■■■■■■■■■■■■■■□□□□□□(72%)",
        "■■■■■■■■■■■■■■□□□□□□(73%)",
        "■■■■■■■■■■■■■■□□□□□□(73%)",
        "■■■■■■■■■■■■■■□□□□□□(73%)",
        "■■■■■■■■■■■■■■□□□□□□(74%)",
        "■■■■■■■■■■■■■■□□□□□□(74%)",
        "■■■■■■■■■■■■■■□□□□□□(74%)",
        "■■■■■■■■■■■■■■■□□□□□(75%)",
        "■■■■■■■■■■■■■■■□□□□□(75%)",
        "■■■■■■■■■■■■■■■□□□□□(76%)",
        "■■■■■■■■■■■■■■■□□□□□(76%)",
        "■■■■■■■■■■■■■■■□□□□□(76%)",
        "■■■■■■■■■■■■■■■□□□□□(76%)",
        "■■■■■■■■■■■■■■■□□□□□(77%)",
        "■■■■■■■■■■■■■■■□□□□□(77%)",
        "■■■■■■■■■■■■■■■□□□□□(77%)",
        "■■■■■■■■■■■■■■■□□□□□(78%)",
        "■■■■■■■■■■■■■■■□□□□□(78%)",
        "■■■■■■■■■■■■■■■□□□□□(78%)",
        "■■■■■■■■■■■■■■■□□□□□(78%)",
        "■■■■■■■■■■■■■■■□□□□□(79%)",
        "■■■■■■■■■■■■■■■□□□□□(79%)",
        "■■■■■■■■■■■■■■■□□□□□(79%)",
        "■■■■■■■■■■■■■■■■□□□□(80%)",
        "■■■■■■■■■■■■■■■■□□□□(80%)",
        "■■■■■■■■■■■■■■■■□□□□(80%)",
        "■■■■■■■■■■■■■■■■□□□□(81%)",
        "■■■■■■■■■■■■■■■■□□□□(81%)",
        "■■■■■■■■■■■■■■■■□□□□(81%)",
        "■■■■■■■■■■■■■■■■□□□□(81%)",
        "■■■■■■■■■■■■■■■■□□□□(82%)",
        "■■■■■■■■■■■■■■■■□□□□(82%)",
        "■■■■■■■■■■■■■■■■□□□□(83%)",
        "■■■■■■■■■■■■■■■■□□□□(83%)",
        "■■■■■■■■■■■■■■■■□□□□(84%)",
        "■■■■■■■■■■■■■■■■□□□□(84%)",
        "■■■■■■■■■■■■■■■■□□□□(84%)",
        "■■■■■■■■■■■■■■■■■□□□(85%)",
        "■■■■■■■■■■■■■■■■■□□□(85%)",
        "■■■■■■■■■■■■■■■■■□□□(85%)",
        "■■■■■■■■■■■■■■■■■□□□(85%)",
        "■■■■■■■■■■■■■■■■■□□□(86%)",
        "■■■■■■■■■■■■■■■■■□□□(86%)",
        "■■■■■■■■■■■■■■■■■□□□(86%)",
        "■■■■■■■■■■■■■■■■■□□□(87%)",
        "■■■■■■■■■■■■■■■■■□□□(87%)",
        "■■■■■■■■■■■■■■■■■□□□(88%)",
        "■■■■■■■■■■■■■■■■■□□□(88%)",
        "■■■■■■■■■■■■■■■■■□□□(88%)",
        "■■■■■■■■■■■■■■■■■□□□(88%)",
        "■■■■■■■■■■■■■■■■■□□□(89%)",
        "■■■■■■■■■■■■■■■■■□□□(89%)",
        "■■■■■■■■■■■■■■■■■□□□(89%)",
        "■■■■■■■■■■■■■■■■■■□□(90%)",
        "■■■■■■■■■■■■■■■■■■□□(90%)",
        "■■■■■■■■■■■■■■■■■■□□(90%)",
        "■■■■■■■■■■■■■■■■■■□□(90%)",
        "■■■■■■■■■■■■■■■■■■□□(91%)",
        "■■■■■■■■■■■■■■■■■■□□(91%)",
        "■■■■■■■■■■■■■■■■■■□□(91%)",
        "■■■■■■■■■■■■■■■■■■□□(92%)",
        "■■■■■■■■■■■■■■■■■■□□(92%)",
        "■■■■■■■■■■■■■■■■■■□□(92%)",
        "■■■■■■■■■■■■■■■■■■□□(92%)",
        "■■■■■■■■■■■■■■■■■■□□(93%)",
        "■■■■■■■■■■■■■■■■■■□□(93%)",
        "■■■■■■■■■■■■■■■■■■□□(93%)",
        "■■■■■■■■■■■■■■■■■■□□(93%)",
        "■■■■■■■■■■■■■■■■■■□□(93%)",
        "■■■■■■■■■■■■■■■■■■□□(94%)",
        "■■■■■■■■■■■■■■■■■■□□(94%)",
        "■■■■■■■■■■■■■■■■■■□□(94%)",
        "■■■■■■■■■■■■■■■■■■□□(94%)",
        "■■■■■■■■■■■■■■■■■■□□(94%)",
        "■■■■■■■■■■■■■■■■■■□□(94%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(95%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(96%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(97%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(98%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■□(99%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)",
        "■■■■■■■■■■■■■■■■■■■■(100%)"
    ]);//设置tips数组，会随机出现
    //window.loadingView.showTextInfo=false; //值设置为false，关闭所有文字显示
}
window.onLayaInitError=function(e)
{
	console.log("onLayaInitError error=" + e);
	//alert("加载游戏失败，可能由于您的网络不稳定，请退出重进");
}
window.showAlertOnJsException(false);//屏蔽项目中报错弹框
